=== src/ConnMgmt/Makefile ===
CC=gcc
CFLAGS=-I../../lib/GSoap/gsoap-linux-2.7/ -I../../include/ -g -DDEBUG

all:
	$(CC) $(CFLAGS) -DConnMgmt_DEBUG -DWITH_OPENSSL -c -o ConnMgmt.o ConnMgmt.c 
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o soapC.o soapC.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o soapClient.o soapClient.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o stdsoap2.o stdsoap2.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o ListenBroadcast.o ListenBroadcast.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o ParseHttpPacket.o ParseHttpPacket.c


test:
	$(CC) $(CFLAGS) -DConnMgmt_DEBUG -DConnMgmt_DEBUGH -DWITH_OPENSSL -c -o ConnMgmt.o ConnMgmt.c 
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o soapC.o soapC.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o soapClient.o soapClient.c
	$(CC) $(CFLAGS) -DWITH_OPENSSL -c -o stdsoap2.o stdsoap2.c
	
.PHONY:clean
clean:
	rm -f *.o
