=== src/GUI/src/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# src/src/GUI/src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/theftdeterrent
pkglibdir = $(libdir)/theftdeterrent
pkgincludedir = $(includedir)/theftdeterrent
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = theftdeterrent$(EXEEXT)
subdir = src/src/GUI/src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_theftdeterrent_OBJECTS = ConnMgmt.$(OBJEXT) \
	ListenBroadcast.$(OBJEXT) ParseHttpPacket.$(OBJEXT) \
	soapC.$(OBJEXT) soapClient.$(OBJEXT) stdsoap2.$(OBJEXT) \
	CurrentState.$(OBJEXT) TCEngine.$(OBJEXT) DeviceInfo.$(OBJEXT) \
	IniFile.$(OBJEXT) OtherInfo.$(OBJEXT) PromptInfo.$(OBJEXT) \
	ProxyInfo.$(OBJEXT) ServerInfo.$(OBJEXT) Provision.$(OBJEXT) \
	TPMCtrl.$(OBJEXT) TPMInterface.$(OBJEXT) FormTCAgent.$(OBJEXT) \
	interface.$(OBJEXT) main.$(OBJEXT) resmgmt.$(OBJEXT) \
	support.$(OBJEXT) tray.$(OBJEXT) callbacks.$(OBJEXT) \
	errormap.$(OBJEXT)
theftdeterrent_OBJECTS = $(am_theftdeterrent_OBJECTS)
theftdeterrent_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(theftdeterrent_SOURCES)
DIST_SOURCES = $(theftdeterrent_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /usr/tdagent-2.0.0.020/missing --run aclocal-1.10
AMTAR = ${SHELL} /usr/tdagent-2.0.0.020/missing --run tar
AUTOCONF = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/tdagent-2.0.0.020/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/tdagent-2.0.0.020/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -L/usr/lib -L/opt/gnome/lib -L/usr/X11R6/lib -L../../../../lib /usr/tdagent-2.0.0.020/lib/libtsp.so.1 /usr/tdagent-2.0.0.020/lib/liblowlevel_tray.so /usr/tdagent-2.0.0.020/lib/libtddl.so.1 /usr/tdagent-2.0.0.020/lib/libsigc-2.0.so.0 /usr/tdagent-2.0.0.020/lib/libglibmm-2.4.so.1  -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  -lpthread  -lssl -lcrypto -ltsp -llowlevel_tray
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/tdagent-2.0.0.020/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = theftdeterrent
PACKAGE_BUGREPORT = wup@neusoft.com
PACKAGE_NAME = theftdeterrent
PACKAGE_STRING = theftdeterrent 2.0.0.020
PACKAGE_TARNAME = theftdeterrent
PACKAGE_VERSION = 2.0.0.020
PATH_SEPARATOR = :
POW_LIB = 
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 2.0.0.020
abs_builddir = /usr/tdagent-2.0.0.020/src/src/GUI/src
abs_srcdir = /usr/tdagent-2.0.0.020/src/src/GUI/src
abs_top_builddir = /usr/tdagent-2.0.0.020
abs_top_srcdir = /usr/tdagent-2.0.0.020
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /usr/tdagent-2.0.0.020/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../../../..
top_srcdir = ../../../..
INCLUDES = -I. -I/usr/include -I../../../include -I../../../../lib/GSoap/gsoap-linux-2.7/  -I../../../include/TPMCtrl `pkg-config gtk+-2.0 --cflags`
AM_CFLAGS = -DWITH_OPENSSL 
AM_CXXFLAGS = -DWITH_OPENSSL
CXXFLAGS = -O2
theftdeterrent_SOURCES = ../../ConnMgmt/ConnMgmt.c \
			../../ConnMgmt/ListenBroadcast.c \
			../../ConnMgmt/ParseHttpPacket.c \
			../../ConnMgmt/soapC.c \
			../../ConnMgmt/soapClient.c \
			../../ConnMgmt/stdsoap2.c \
			../../Engine/CurrentState.c \
			../../Engine/TCEngine.c \
			../../InfoMgmt/DeviceInfo.c \
			../../InfoMgmt/IniFile.c \
			../../InfoMgmt/OtherInfo.c \
			../../InfoMgmt/PromptInfo.c \
			../../InfoMgmt/ProxyInfo.c \
			../../InfoMgmt/ServerInfo.c \
			../../Provision/Provision.c \
			../../TPMCtrl/TPMCtrl.c \
			../../TPMCtrl/TPMInterface.c \
			FormTCAgent.c \
			interface.c \
			main.c \
			resmgmt.c \
			support.c \
			tray.c \
			callbacks.c \
			errormap.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/src/GUI/src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/src/GUI/src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
theftdeterrent$(EXEEXT): $(theftdeterrent_OBJECTS) $(theftdeterrent_DEPENDENCIES) 
	@rm -f theftdeterrent$(EXEEXT)
	$(LINK) $(theftdeterrent_OBJECTS) $(theftdeterrent_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/ConnMgmt.Po
include ./$(DEPDIR)/CurrentState.Po
include ./$(DEPDIR)/DeviceInfo.Po
include ./$(DEPDIR)/FormTCAgent.Po
include ./$(DEPDIR)/IniFile.Po
include ./$(DEPDIR)/ListenBroadcast.Po
include ./$(DEPDIR)/OtherInfo.Po
include ./$(DEPDIR)/ParseHttpPacket.Po
include ./$(DEPDIR)/PromptInfo.Po
include ./$(DEPDIR)/Provision.Po
include ./$(DEPDIR)/ProxyInfo.Po
include ./$(DEPDIR)/ServerInfo.Po
include ./$(DEPDIR)/TCEngine.Po
include ./$(DEPDIR)/TPMCtrl.Po
include ./$(DEPDIR)/TPMInterface.Po
include ./$(DEPDIR)/callbacks.Po
include ./$(DEPDIR)/errormap.Po
include ./$(DEPDIR)/interface.Po
include ./$(DEPDIR)/main.Po
include ./$(DEPDIR)/resmgmt.Po
include ./$(DEPDIR)/soapC.Po
include ./$(DEPDIR)/soapClient.Po
include ./$(DEPDIR)/stdsoap2.Po
include ./$(DEPDIR)/support.Po
include ./$(DEPDIR)/tray.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

ConnMgmt.o: ../../ConnMgmt/ConnMgmt.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ConnMgmt.o -MD -MP -MF $(DEPDIR)/ConnMgmt.Tpo -c -o ConnMgmt.o `test -f '../../ConnMgmt/ConnMgmt.c' || echo '$(srcdir)/'`../../ConnMgmt/ConnMgmt.c
	mv -f $(DEPDIR)/ConnMgmt.Tpo $(DEPDIR)/ConnMgmt.Po
#	source='../../ConnMgmt/ConnMgmt.c' object='ConnMgmt.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ConnMgmt.o `test -f '../../ConnMgmt/ConnMgmt.c' || echo '$(srcdir)/'`../../ConnMgmt/ConnMgmt.c

ConnMgmt.obj: ../../ConnMgmt/ConnMgmt.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ConnMgmt.obj -MD -MP -MF $(DEPDIR)/ConnMgmt.Tpo -c -o ConnMgmt.obj `if test -f '../../ConnMgmt/ConnMgmt.c'; then $(CYGPATH_W) '../../ConnMgmt/ConnMgmt.c'; else $(CYGPATH_W) '$(srcdir)/../../ConnMgmt/ConnMgmt.c'; fi`
	mv -f $(DEPDIR)/ConnMgmt.Tpo $(DEPDIR)/ConnMgmt.Po
#	source='../../ConnMgmt/ConnMgmt.c' object='ConnMgmt.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ConnMgmt.obj `if test -f '../../ConnMgmt/ConnMgmt.c'; then $(CYGPATH_W) '../../ConnMgmt/ConnMgmt.c'; else $(CYGPATH_W) '$(srcdir)/../../ConnMgmt/ConnMgmt.c'; fi`

ListenBroadcast.o: ../../ConnMgmt/ListenBroadcast.c
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ListenBroadcast.o -MD -MP -MF $(DEPDIR)/ListenBroadcast.Tpo -c -o ListenBroadcast.o `test -f '../../ConnMgmt/ListenBroadcast.c' || echo '$(srcdir)/'`../../ConnMgmt/ListenBroadcast.c
	mv -f $(DEPDIR)/ListenBroadcast.Tpo $(DEPDIR)/ListenBroadcast.Po
