=== debian/changelog ===
tdagent (2.0.0.090netbook0natick4) natick; urgency=low

  * Add libgtk2.0-dev to the build dependencies.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Wed, 26 Aug 2009 14:43:23 -0300

tdagent (2.0.0.090netbook0natick3) hardy; urgency=low

  * Remove theftdeterrent.desktop of /usr/share/applications for SES

 -- WuPing <wup@neusoft.com>  Fri, 8 May 2009 11:12:10 +0800

tdagent (2.0.0.090netbook0natick2) hardy; urgency=low

  * Add theftdeterrent.png icons for SES

 -- WuPing <wup@neusoft.com>  Fri, 27 Feb 2009 13:33:27 +0800

tdagent (2.0.0.090netbook0natick1) hardy; urgency=low

  * Add Section and Maintainer in control of debian .

 -- WuPing <wup@neusoft.com>  Wed, 25 Feb 2009 11:37:17 +0800

tdagent (2.0.0.080netbook0natick1) hardy; urgency=low

  * add LGPL in include and src.

 -- WuPing <wup@neusoft.com>  Fri, 20 Feb 2009 13:13:21 +0000

tdagent (2.0.0.070netbook0natick1) hardy; urgency=low

  * change depends of libtdagent to Pre-depends.

 -- WuPing <wup@neusoft.com>  Mon, 02 Feb 2009 15:13:21 +0000

tdagent (2.0.0.060netbook0natick1) hardy; urgency=low

  * add libtdagent dependency when installing tdagent.

 -- WuPing <wup@neusoft.com>  Thu, 22 Jan 2009 17:24:28 +0000

tdagent (2.0.0.055netbook0natick1) hardy; urgency=low

  * fix broadcast bug.

 -- WuPing <wup@neusoft.com>  Tue, 20 Jan 2009 17:24:28 +0000

tdagent (2.0.0.050netbook0natick2) hardy; urgency=low

  * remove files .so to a seperate debian

 -- WuPing <wup@neusoft.com>  Fri, 09 Jan 2009 17:24:28 +0000

tdagent (2.0.0.050netbook0natick1) hardy; urgency=low

  * remove error information while load tpm_tis driver

 -- WuPing <wup@neusoft.com>  Fri, 09 Jan 2009 16:24:28 +0000

tdagent (2.0.0.048netbook0natick1) hardy; urgency=low

  * Removed temp files when uninstall, move chmod commands to /debian/rules

 -- WuPing <wup@neusoft.com>  Thu, 08 Jan 2009 16:24:28 +0000

tdagent (2.0.0.040netbook0natick1) hardy; urgency=low

  * fix some bugs

 -- WuPing <wup@neusoft.com>  Tue, 30 Dec 2008 22:10:28 +0000

tdagent (2.0.0.030netbook0natick1) hardy; urgency=low

  * Change install package to debian.

 -- WuPing <wup@neusoft.com>  Thu, 25 Dec 2008 22:24:28 +0000
