=== debian/control ===
Source: tdagent
Section: utils
Priority: extra
Maintainer: Intel Corporation
Build-Depends: debhelper (>= 5), libssl-dev, openssl, libtdagent, libgtk2.0-dev
Standards-Version: 3.7.2

Package: tdagent
Architecture: any
Depends: 
Pre-depends: libtdagent
Description: Agent of Theft Deterrent
